<template lang="pug">
.row.x-institutes.justify-content-center
  .col-12.col-xl-9(key='results')
    BaseCard
      li(key='ctrl')
        .row.justify-content-between
          .col-auto
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
          BaseAnimationBlock
            .col-auto.align-content-center(v-if="loading" key='loader')
              i.align-bottom.fa.fa-spinner.fa-pulse
          .col-auto.d-flex
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100
            router-link.btn.btn-outline-danger.ml-1.x-admin(v-if='!isAdmin && $store.getters.canAdmin' :to='"/admin" + $route.fullPath' title='admin')
              i.fa.fa-key
            button.btn.btn-primary.ml-1.x-add(v-if='isAdmin' @click="doAdd()" title='Add Institute')
              i.fa.fa-plus-square
      li.p-0(v-if='!loading' key='rows')
        table.table.table-sm.table-hover
          thead.bg-light.table-head
            tr
              th(v-if='isAdmin') Status
              th.text-center #
              th Alias / Name
          tbody
            tr(:key='m.id' v-for='m in rows')
              td.text-center(v-if='isAdmin')
                .fa.fa-check(v-if='m.status')
                .fa.fa-times(v-else)
              td.text-center {{ m.id }}
              td.w-100
                InstituteLink(:id='m.id' :institute='m')
    AddInstituteDialog(ref='addDialog')
</template>
<script>

export { default } from './Institutes.vue.js';

</script>
